1

I've tried to upgrade my PC from Centos 7.3 to Centos 7.4, however I got the following error:

Transaction check error:
  file /usr/bin/pydoc3 from install of python34-3.4.5-4.el7.x86_64 conflicts with file from package python3-3.3.2-12.el7.nux.x86_64
  file /usr/bin/python3 from install of python34-3.4.5-4.el7.x86_64 conflicts with file from package python3-3.3.2-12.el7.nux.x86_64
  file /usr/bin/pyvenv from install of python34-3.4.5-4.el7.x86_64 conflicts with file from package python3-3.3.2-12.el7.nux.x86_64
  file /usr/share/man/man1/python3.1.gz from install of python34-3.4.5-4.el7.x86_64 conflicts with file from package python3-3.3.2-12.el7.nux.x86_64
  file /usr/lib64/libpython3.so from install of python34-libs-3.4.5-4.el7.x86_64 conflicts with file from package python3-libs-3.3.2-12.el7.nux.x86_64

Error Summary
-------------

I've looked through the release notes and found nothing with respect to this issue in the section dealing with known issues. I did not find anything conclusive either while searching for this error on google.

Could someone please explain to me what's causing this error and how to solve it?

Many thanks, Andrei

  • 1
    Remove python3-3.3.2-12.el7.nux.x86_64 and then upgrade – Raman Sailopal Dec 14 '17 at 15:15
3

You can just type this in your terminal:

yum remove python3-libs-3.3.2-12.el7.nux.x86_64 yum remove python3-3.3.2-12.el7.nux.x86_64

And try again

Kind regards

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.